org.h2gis.functions.spatial.convert

## Class GeometryCoordinateDimension

- java.lang.Object
- - org.h2gis.functions.spatial.convert.GeometryCoordinateDimension

    public class GeometryCoordinateDimension
    extends Object

This class is used to force the coordinate dimension of a geometry

Author:
  Erwan Bocher

### Constructor Summary

Constructors
Constructor and Description
`GeometryCoordinateDimension()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.locationtech.jts.geom.GeometryCollection` `convert(org.locationtech.jts.geom.GeometryCollection gc, int dimension)` Force the dimension of the GeometryCollection and update correctly the coordinate dimension
`static org.locationtech.jts.geom.LinearRing` `convert(org.locationtech.jts.geom.LinearRing linearRing, int dimension)` Force the dimension of the LinearRing and update correctly the coordinate dimension
`static org.locationtech.jts.geom.LinearRing` `convert(org.locationtech.jts.geom.LineString lineString, int dimension)` Force the dimension of the LineString and update correctly the coordinate dimension
`static org.locationtech.jts.geom.MultiLineString` `convert(org.locationtech.jts.geom.MultiLineString multiLineString, int dimension)` Force the dimension of the MultiLineString and update correctly the coordinate dimension
`static org.locationtech.jts.geom.MultiPolygon` `convert(org.locationtech.jts.geom.MultiPolygon multiPolygon, int dimension)` Force the dimension of the MultiPolygon and update correctly the coordinate dimension
`static org.locationtech.jts.geom.Polygon` `convert(org.locationtech.jts.geom.Polygon polygon, int dimension)` Force the dimension of the Polygon and update correctly the coordinate dimension
`static org.locationtech.jts.geom.Geometry` `force(org.locationtech.jts.geom.Geometry geom, int dimension)` Force the dimension of the geometry and update correctly the coordinate dimension

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeometryCoordinateDimension

    public GeometryCoordinateDimension()

### Method Detail

#### force

    public static org.locationtech.jts.geom.Geometry force(org.locationtech.jts.geom.Geometry geom,
                                                           int dimension)

Force the dimension of the geometry and update correctly the coordinate dimension

Parameters:
  `geom` - the input geometry
  `dimension` - supported dimension is 2, 3 if the dimension is set to 3 the z measure are set to 0
Returns:

#### convert

    public static org.locationtech.jts.geom.GeometryCollection convert(org.locationtech.jts.geom.GeometryCollection gc,
                                                                       int dimension)

Force the dimension of the GeometryCollection and update correctly the coordinate dimension

Parameters:
  `gc` -
  `dimension` -
Returns:

#### convert

    public static org.locationtech.jts.geom.MultiPolygon convert(org.locationtech.jts.geom.MultiPolygon multiPolygon,
                                                                 int dimension)

Force the dimension of the MultiPolygon and update correctly the coordinate dimension

Parameters:
  `multiPolygon` -
  `dimension` -
Returns:

#### convert

    public static org.locationtech.jts.geom.MultiLineString convert(org.locationtech.jts.geom.MultiLineString multiLineString,
                                                                    int dimension)

Force the dimension of the MultiLineString and update correctly the coordinate dimension

Parameters:
  `multiLineString` -
  `dimension` -
Returns:

#### convert

    public static org.locationtech.jts.geom.Polygon convert(org.locationtech.jts.geom.Polygon polygon,
                                                            int dimension)

Force the dimension of the Polygon and update correctly the coordinate dimension

Parameters:
  `polygon` -
  `dimension` -
Returns:

#### convert

    public static org.locationtech.jts.geom.LinearRing convert(org.locationtech.jts.geom.LineString lineString,
                                                               int dimension)

Force the dimension of the LineString and update correctly the coordinate dimension

Parameters:
  `lineString` -
  `dimension` -
Returns:

#### convert

    public static org.locationtech.jts.geom.LinearRing convert(org.locationtech.jts.geom.LinearRing linearRing,
                                                               int dimension)

Force the dimension of the LinearRing and update correctly the coordinate dimension

Parameters:
  `linearRing` -
  `dimension` -
Returns: